#!/usr/bin/env python3
import utils
import json
import os


def setup(interactive=True):
    with open('/etc/miris/netcapture.json', 'r') as f:
        c = json.load(f)

    # we want to preserve the netcapture instance currently registered in miris manager
    folders_remove_cmd = 'rm -rf %s/* %s/*' % (c['netcapture_media_folder'], c['netcapture_logs_folder'])
    nc_conf_folder = c['netcapture_logs_folder']
    for f in ['recorderd', 'accounts', 'targets']:
        folders_remove_cmd += ' %s' % os.path.join(nc_conf_folder, f)

    cmds = [
        'msinstaller.py msuser delete',
        'msinstaller.py msuser add',
        folders_remove_cmd,
        'apt-get install -y python3-miris-netcapture --reinstall',
        'rsync -r ../1.Deploy_demokit/mirisconf/ /etc/miris/conf',
        'chgrp -R video /etc/miris/conf',
        'chmod -R 774 /etc/miris/conf',
        'netcapturectl restart all',
    ]
    utils.run_commands(cmds)
